//
//  ChannelListTableViewCell.swift
//  SampleApp
//
//  Created by Nishan Niraula on 12/9/2566 BE.
//  Copyright © 2566 BE David Zhang. All rights reserved.
//

import UIKit

class ChannelListTableViewCell: UITableViewCell {

    @IBOutlet weak var titleLabel: UILabel!
    @IBOutlet weak var membershipLabel: UILabel!
    @IBOutlet weak var previewMessageLabel: UILabel!
    @IBOutlet weak var subtitleLabel: UILabel!
    @IBOutlet weak var onlineIndicator: UIView!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        
        setupViews()
    }

    override func prepareForReuse() {
        super.prepareForReuse()
        setupViews()
    }
   
    func setupViews() {
        titleLabel.text = ""
        subtitleLabel.text = ""
        membershipLabel.text = ""
        previewMessageLabel.text = ""
        
        onlineIndicator.addRoundedCorner(radius: onlineIndicator.frame.height / 2)
        onlineIndicator.isHidden = true
    }
}
